<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$saveOrder	= $listOrder == 'm.ordering';

JToolBarHelper::title('&nbsp;','mapycz');

JToolBarHelper::addNew('add', JText::_('MAPYCZ_BUTTON_ADD'), false);
JToolBarHelper::editList('show','MAPYCZ_BUTTON_EDIT');
JToolBarHelper::deleteList('','delete', JText::_('MAPYCZ_BUTTON_DELETE'), false);
//JToolBarHelper::preferences('com_mapycz');

?>

<h1><?=JText::_('MAPYCZ_LIST')?></h1>
<?=JText::_('MAPYCZ_LIST_DESCRIPTION')?>

<form action="<?php echo JRoute::_('index.php?option=com_mapycz'); ?>" method="post" name="adminForm" id="adminForm">
	
	<br/><br/>
	
	<table class="adminlist mapycz" style="width:600px;">
		<thead>
			<tr>
				<th width="1%">
					<input type="checkbox" class="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)" />
				</th>
				<th>
					<?php echo JHtml::_('grid.sort',  'MAPYCZ_FIELD_ID', 'm.id', $listDirn, $listOrder); ?>
				</th>
				<th>
					<?php echo JHtml::_('grid.sort',  'MAPYCZ_FIELD_NAME', 'm.name', $listDirn, $listOrder, NULL, 'desc'); ?>
				</th>
				<th>
					<?php echo JHtml::_('grid.sort', 'MAPYCZ_FIELD_LONGITUDE', 'm.longitude', $listDirn, $listOrder); ?>
				</th>
				<th>
					<?php echo JHtml::_('grid.sort', 'MAPYCZ_FIELD_LATITUDE', 'm.latitude', $listDirn, $listOrder); ?>
				</th>
				<th>
					<?php echo JHtml::_('grid.sort', 'MAPYCZ_FIELD_MARK_COUNT', 'm.mark_count', $listDirn, $listOrder); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php 
		$n = count($this->items);
		foreach ($this->items as $i => $item) :
			$ordering	= $listOrder == 'm.ordering';
			
			$item->cat_link = JRoute::_('index.php?option=com_categories&extension=com_contact&task=edit&type=other&id='. $item->catid);
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="center">
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>
				<td align="right">
					<?php echo $this->escape($item->id); ?>
				</td>
				<td align="left">
					<a href="<?=JRoute::_('index.php?option=com_mapycz&task=show&cid='.$item->id)?>"><?php echo $this->escape($item->name); ?></a>
				</td>
				<td align="right">
					<?php echo $this->escape($item->longitude); ?>
				</td>
				<td align="right">
					<?php echo $this->escape($item->latitude); ?>
				</td>
				<td align="right">
					<?php echo $this->escape($item->mark_count); ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
