<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');

$user		= JFactory::getUser();
$userId		= $user->get('id');

$editor = &JFactory::getEditor();

?>
<div id="map-mark">
		<div id="map-mark-toolbar" class="border">
			<div class="padding">
				<div id="toolbar-box">
					<div class="t">
						<div class="t">
							<div class="t"></div>
						</div>
					</div>
					<div class="m">
						<div id="toolbar" class="toolbar-list">
							<ul>
								<?=	MapyczHelper::button(
									"save", 
									JText::_('MAPYCZ_MARK_SAVE'), 
									"",
									"return mapycz_saveMarker();",
									"mapycz_loadMarkers(\'".$this->map->id."\');"
								)?>
						
							</ul>
						</div>
						<div class="clr"></div>
					</div>
					<div class="b">
						<div class="b">
							<div class="b"></div>
						</div>
					</div>
				</div>
			</div>
		</div>

<script type="text/javascript">

	var mapycz_markToken='<?=JHtml::_('form.token')?>';

	this.addEvent('load',function() {
		mapycz_markInit();
	});

	function getMarkText(){
		return <?=$editor->getContent("mapycz_mark_text")?>;
	}

</script>

<h1><?=JText::_('MAPYCZ_MARK_LABEL_EDIT')?></h1>
<?=JText::_('MAPYCZ_MARK_DESC')?><br/><br/><br/>

<form action="<?php echo JRoute::_('index.php?option=com_mapycz'); ?>" method="post" name="mapMarkForm" id="map-mark-form" class="form-validate">
	
	<table>
		
		<tr>
			<td>
				<?=JText::_('MAPYCZ_MARK_FIELD_SHORTCUT')?>:
			</td>
			<td>
				<input class="checkbox maxLength:2" type="text" id="mapycz_mark_shortcut" name="shortcut" value="<?=$this->mark->shortcut?>" />
			</td>
		</tr>
		
		<tr>
			<td>
				<?=JText::_('MAPYCZ_MARK_FIELD_TITLE')?>:
			</td>
			<td>
				<input type="text" name="title" class="maxLength:255" id="mapycz_mark_title" value="<?=$this->mark->title?>" />
			</td>
		</tr>
		
		<tr valign="top">
			<td>
				<?=JText::_('MAPYCZ_MARK_FIELD_COLOR')?>:
			</td>
			<td>
				<input class="checkbox" type="radio" name="color" value="yellow" <?=($this->mark->color=="yellow")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_YELLOW')?>
				<input class="checkbox" type="radio" name="color" value="red" <?=($this->mark->color=="red")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_RED')?>
				<input class="checkbox" type="radio" name="color" value="blue" <?=($this->mark->color=="blue")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_BLUE')?>
				<input class="checkbox" type="radio" name="color" value="green" <?=($this->mark->color=="green")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_GREEN')?>
				<input class="checkbox" type="radio" name="color" value="gray" <?=($this->mark->color=="gray")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_GRAY')?>
				<input class="checkbox" type="radio" name="color" value="black" <?=($this->mark->color=="black")?'checked="checked"':''?> />&nbsp;<?=JText::_('MAPYCZ_MARK_FIELD_COLOR_BLACK')?>
			</td>
		</tr>
		
		<tr valign="top">
			<td>
				<?=JText::_('MAPYCZ_MARK_TEXT')?>:
			</td>
			<td>
				<?=$editor->display("mapycz_mark_text", $this->mark->text, "500px", "300px", 100, 20);?>
			</td>
		</tr>
				
	</table>

	<div>
		<input type="hidden" name="mapId" id="mapycz_mark_map" value="<?=$this->map->id?>" />
		<input type="hidden" name="cid"  id="mapycz_mark_mark" value="<?=$this->mark->id?>" />
		<input type="hidden" name="latitude" id="mapycz_mark_lat" value="<?=htmlentities($this->mark->latitude,ENT_COMPAT,"UTF-8")?>" />
		<input type="hidden" name="longitude" id="mapycz_mark_lon" value="<?=htmlentities($this->mark->longitude,ENT_COMPAT,"UTF-8")?>" />
	</div>
</form>
</div>
